<div class="container-fluid">
  <div class="row">
    <navigation></navigation>
    <div class="offset-2 offset-lg-3 col-10 col-lg-9 col-xl-6 container-feed">
      <div class="row titre-page">
        <p (click)="destroyComponent()"><span class="material-icons">keyboard_arrow_left</span> Fil d'actualité</p>
      </div>
      <div class="post row">
        <div class="col-3 col-md-2  col-profilpic">
          <img (click)="toProfil('profil/' + post.username_user)" alt="Image" draggable="true" src="{{post.link_image_profile}}" class="profil-pict">
        </div>
        <div class="col-9 col-md-10 ">
          <div class="row usernamePost">
            <p (click)="toProfil('profil/' + post.username_user)">@{{post.username_user}} <span class="datePost">· {{post.updated}}</span></p>
          </div>
          <div class="row">
            <p>{{post.content}}</p>
          </div>
          <div *ngIf="post.link_image != null" class="row">
            <img (click)="displayImage(post.link_image)" alt="Image" draggable="true" src="{{post.link_image}}" class="post-pict">
          </div>
        </div>
        <div class="row rowIconPost">
          <div class="col-4 commentNumber">
            <div class="row center">
              <div class="colNumber">
                <button type="button" (click)="saveIdPost()" class="btn btn-primary commentNumber"
                  data-toggle="modal" data-target="#myModal"><span
                    class="col-3 material-icons iconChat">chat_bubble_outline </span></button>
                  <span>{{post.nb_comment}}</span>
              </div>
            </div>
          </div>
          <div class="col-4 commentNumber">
            <div class="row center">
              <div class="colNumber">
                <button type="button" (click)="repost(post)" class="btn btn-primary commentNumber"
                  ><span class=" material-icons">repeat</span></button>
                <span>{{post.nb_retweet}}</span>
              </div>
            </div>
          </div>
          <div class="col-4 commentNumber">
            <div class="row center">
              <div class="colNumber">
                <button type="button" (click)="like(post)" class="btn btn-primary commentNumber"
                  ><span
                    class=" material-icons" *ngIf="post.isLike == false">favorite_border</span><span
                    class=" material-icons" *ngIf="post.isLike == true">favorite</span></button>
                    <span>{{post.nb_like}}</span>
              </div>
            </div>
          </div>
        </div>

      </div>
      <div class="row commentContainer" *ngFor="let comment of comments; let i = index">
        <div class="col-1 commentmarge">

        </div>
        <div class="col-11">
          <div class="row containMessage">
            <div class="col-3 col-md-2 col-profilpic">
              <img (click)="toProfil('profil/' + comment.username_user)" alt="Image" draggable="true" src="{{comment.link_user_image}}" class="profil-pict">
            </div>
            <div class="col-9 col-md-10  ">
              <div class="row usernamePost">
                <p (click)="toProfil('profil/' + comment.username_user)">@{{comment.username_user}} <span class="datePost">· {{comment.updated}}</span></p>
              </div>
              <div class="row contentMessage">
                <p>{{comment.content}}</p>
              </div>
              <div *ngIf="comment.link_image != null" class="row">
                <img (click)="displayImage(comment.link_image)" alt="Image" draggable="true" src="{{comment.link_image}}" class="post-pict">
              </div>
            </div>
            <div class="row rowIconPost">
              
              <!-- <button type="button" (click)="saveIdComment(comment, post)" class="btn btn-primary commentNumber2 col-6" data-toggle="modal" data-target="#myModal"><span
                class=" material-icons" *ngIf="comment.isLike == false">favorite_border</span><span
                class=" material-icons" *ngIf="comment.isLike == true">favorite</span>
                <span>   {{comment.count_likes}}</span></button> -->
              <button type="button" (click)="saveIdComment(comment, post)" class="btn btn-primary commentNumber2 col-6" data-toggle="modal" data-target="#myModal"><span class="col-3 material-icons iconChat">chat_bubble_outline  </span><span>{{comment.count_child}}</span></button>

              <a class="buttonCollapse col-6" href="#List-{{ i }}" data-toggle="collapse"><button *ngIf="comment.count_child != 0">Afficher plus</button></a>
              
              
            </div>
          </div>
          <div id="List-{{ i }}" class="row containMessages collapse" *ngFor="let commentofcomment of comment.sousComment">
            <div class="col-1 commentmarge">

            </div>
            <div class="col-11">
              <div class="row">
                <div class="col-3 col-md-2 col-profilpic margincomment">
                  <img (click)="toProfil('profil/' + commentofcomment.username_user)" alt="Image" draggable="true" src="{{commentofcomment.link_user_image}}" class="profil-pict comment-pict ">
                </div>
                <div class="col-9 col-md-10 margincomment">
                  <div class="row usernamePost">
                    <p  (click)="toProfil('profil/' + commentofcomment.username_user)">@{{commentofcomment.username_user}} <span class="datePost">· {{commentofcomment.updated}}</span></p>
                  </div>
                  <div class="row contentMessage">
                    <p>{{commentofcomment.content}}</p>
                  </div>
                  <div *ngIf="commentofcomment.link_image != null" class="row">
                    <img  (click)="displayImage(commentofcomment.link_image)" alt="Image" draggable="true" src="{{commentofcomment.link_image}}" class="post-pict">
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class=" colEnding col-0 col-xl-3"></div>
  </div>
</div>
<div id="modalImage" class="modalImage"  (click)="closeImage()">
  <div class="containImage">
    <button class="closeImage" (click)="closeImage()"><span class="material-icons">
      highlight_off
      </span></button>
    <img id="imageToDisplay" class="imageView" src="{{imageToDisplay}}">
  </div>
</div>

<createComment [commentaireToComment]="commentaireToComment"></createComment>


